Skip to main content
GET
Retrieve a memory version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31

Path Parameters

id
string
required
Pattern: ^memstore_[0-9a-f]{32}$
version
string
required
Pattern: ^memver_[0-9a-f]{32}$

Query Parameters

view
enum<string>
Available options:
basic,
full

Response

Success

id
string
required
Pattern: ^memver_[0-9a-f]{32}$
type
enum<string>
required
Available options:
memory_version
memory_store_id
string
required
Pattern: ^memstore_[0-9a-f]{32}$
memory_id
string
required
Pattern: ^mem_[0-9a-f]{32}$
operation
enum<string>
required
Available options:
created,
modified,
deleted
created_at
string
required
created_by
object
required
path
string | null
required
Maximum string length: 1024
content
string | null
required
content_sha256
string | null
required
Pattern: ^[0-9a-f]{64}$
content_size_bytes
integer | null
required
Required range: x >= 0
body_state
enum<string>
required
Available options:
available,
omitted,
deleted,
redacted,
expired,
unavailable
redacted_at
string | null
required
redacted_by
object
required